# 范例项目

<p class="description">一些入门示例项目。</p>

## 官方示例

您可以在 [GitHub 存储库](https://github.com/mui-org/material-ui)中的 [`/examples`](https://github.com/mui-org/material-ui/tree/master/examples) 文件夹下找到一些示例项目：

- [Create React App](https://github.com/mui-org/material-ui/tree/master/examples/create-react-app)
- [Gatsby](https://github.com/mui-org/material-ui/tree/master/examples/gatsby)
- [Next.js](https://github.com/mui-org/material-ui/tree/master/examples/nextjs)
- [Preact](https://github.com/mui-org/material-ui/tree/master/examples/preact)
- [CDN](https://github.com/mui-org/material-ui/tree/master/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/master/examples/ssr)
- 以及更多

Create React App 是一个很棒的学习 React 的项目。 请看一下这些[可用的替代方案](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives) ，看看哪个项目最符合您的需求。

此文档站点的源代码也包含在存储库中。 这是一个稍微复杂一点的项目。 请查看 [`/ docs`](https://github.com/mui-org/material-ui/tree/master/docs) 文件夹以获取创建项目的说明。

## 进阶示例项目

If you want to start with a more complete and real-world example, you could take a look at the [premium themes & templates](https://material-ui.com/store/) or:

### 免费的资源

- [React 最常用到的](https://github.com/TarikHuber/react-most-wanted)：
    
  - 使用 Create React App 创建
  - Custom Create React App script to start a new project with just a single CLI command
  - 使用官方的 Firebase Web Auth UI 进行 Firebase 的构建，包括身份验证
  - 使用 React Router 进行路由，包括错误处理（404）和延迟加载
  - All PWA features included (SW, Notifications, deferred installation prompt and more)
  - Optimized and scalable performance (all ~100 points on Lighthouse)
- [RMUIF](https://github.com/phoqe/rmuif):
    
  - Bootstrapped with Create React App, the same tooling works from the get-go
  - Built on top of Firebase with all their products for the web included
  - Robust routing with React Router including protected routes and error handling
  - 全面的移动支持，带有全屏对话框和选项卡的可轻扫视图
  - Cross-platform application monitoring with a focus on error reporting with Sentry
- [Material Sense](https://github.com/alexanmtz/material-sense):
    
  - 使用 recharts 的图表
  - 在导航示例中涵盖了 React Router
  - 一个具有用于生产环境创造的 Nginx 服务器的 Docker container(Docker 容器)。
  - 使用 Create React App 创建
- [React SaaS Template](https://github.com/dunky11/react-saas-template):
    
  - 使用 Create React App 创建
  - Features a landing page, a blog, an area to login/register and an admin-dashboard
  - Fully routed using react-router
  - Lazy loads components to boost performance
  - Components for statistics, text with emoji support, image upload and much more...

### 付费的资源

- [ScaffoldHub](https://scaffoldhub.io/?partner=1):
    
  - Build your complete application with this online tool
  - Choose your framework and library (React & Material-UI!)
  - Choose your database (SQL, MongoDB or Firestore)
  - Model your database and application with the intuitive GUI
  - Generate your application, including a complete scaffolded backend
  - Preview your application online, and download the generated code