# Изучить Material-UI

<p class="description">Новичок в Material-UI? Легко начать изучение, если ты знаешь с чего начать! Это руководство поможет вам быстро начать работу.</p>

Разработчики начинают знакомиться с Material-UI с разным практическим опытом и разным подходом к обучению. Независимо от того, предпочитаете ли вы теоретический или практический подход, мы надеемся, что этот раздел руководства будет полезен для вас. Как и любая незнакомая технология, Material-UI имеет кривую обучения. Немного терепения и практики и вы скоро освоитесь.

## Первый пример

[Следующая](/getting-started/usage/#quick-start) страница содержит небольшой пример использования Material-UI в интерактивном редакторе. Даже если вы еще ничего не знаете о Material-UI, попробуйте изменить код и посмотреть, как ваши правки повлияют на результат.

## Примеры проектов

Доступны [несколько примеров проектов](/getting-started/example-projects/), включающих всю инфраструктуру, необходимую для разработки и развертывания вебсайтов на React.

## Шаблоны

Эта [подборка базовых шаблонов](/getting-started/templates/) поможет вам начать разработку собственного приложения.

## Рекомендуемые ресурсы

Впервые изучая Material-UI, вы можете найти публикации в блогах, книги и видео курсы более полезными, чем официальная документация. Вот несколько рекомендуемых ресурсов, в том числе и бесплатные.

### Free

- **Meet Material-UI — your new favorite user interface library**: a blog post that guides you in building a Todo MVC while covering some important concepts of Material-UI. 
  - 📝 [Сообщение в блоге](https://medium.freecodecamp.org/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c)
- **Learn React & Material-UI**: a series of videos covering all the important Material-UI components. 
  - 📹 [Видео](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Getting Started With Material-UI For React**: статья, которая поможет вам создать простой список карточек. 
  - 📝 [Сообщение в блоге](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [Видео](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Elegant UX in React with Material-UI**: a blog post covering some important Material-UI concepts. 
  - 📝 [The blog post](https://alligator.io/react/material-ui/)

### Paid

- **Apply Google Material Design**: This course teaches the fundamentals of Google Material Design and how to develop an end-to-end flight search and booking application using Material-UI and React.
  
  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react)
- **Implement high fidelity designs**: Bridge the gap between Design & Development. Break down detailed designs and bring them to life with Material-UI and React.
  
  - 💻 [The Course](https://click.linksynergy.com/deeplink?id=IVuPfk1F/Ow&mid=39197&murl=https%3A%2F%2Fwww.udemy.com%2Fcourse%2Fimplement-high-fidelity-designs-with-material-ui-and-reactjs%2F)
- **Cookbook**: Build modern-day applications by implementing Material Design principles in React, using Material-UI.
  
  - 📘 [The book](https://www.amazon.com/gp/product/1789615224/)

[![cookbook](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/)

- **Builder Book**: Learn how to build a full-stack JavaScript web application from scratch, using a Modern JavaScript stack and Material-UI. 
  - 📘 [The book](https://builderbook.org/book)