# Unterstützung

<p class="description">Von Community-Hilfe bis hin zu erstklassiger Unternehmensunterstützung sind wir hier um Ihnen zu helfen.</p>

## Community help (free)

Die Community ist Ihre erste Anlaufstelle für Fragen und Beratung zu dem Framework. Willkommen in der Community!

### StackOverflow <img src="/static/images/logos/stackoverflow.svg" width="24" height="24" alt="StackOverflow logo" loading="lazy" />

Für crowdsourced-technische Fragen von professionellen Material-UI-Entwickler in unserer community. Auch häufig besucht vom Material-UI Kernteam.

[Stellen Sie eine Frage](https://stackoverflow.com/questions/tagged/material-ui)

### GitHub <img src="/static/images/logos/github.svg" width="24" height="24" alt="GitHub logo" loading="lazy" />

Wir verwenden GitHub Issues ausschließlich als Bug und Feature Request-Tracker. Wenn Sie denken, Sie haben einen Bug gefunden, oder haben eine neue Feature-Idee, bitte stellen Sie zuerst sicher, dass diese nicht bereits [gemeldet oder behoben](https://github.com/mui-org/material-ui/issues?utf8=%E2%9C%93&q=is%3Aopen+is%3Aclosed) wurde. Sie können bestehende Probleme und Pull-Requests durchsuchen, um zu sehen, ob jemand etwas ähnliches gemeldet hat.

[Ein Ticket öffnen](https://github.com/mui-org/material-ui/issues/new/choose)

#### New issue guidelines

- Please follow the issue template.
- Please begin the title with '[ComponentName]' where appropriate, and use a succinct description that helps others find similar issues. 
  - "doesn't work" ❌
  - "[Button] Add support for <some feature>" ✅
- Please don't group multiple topics in one issue – each should have its own issue instead.
- Please don't comment "+1" on an issue. It spams the maintainers and doesn't help move the issue forward. Use GitHub reactions instead (👍).

### Blog 📝

Stay up to date with the development of the library by following the blog.

[Read the latest posts](https://medium.com/material-ui/)

### Ressourcen 📖

Neu bei der Material-UI? Es ist leichter zu lernen, wenn Sie wissen, wo Sie anfangen sollen!

[Lernen Sie die Material-UI kennen](/getting-started/learn/)

### Twitter <img src="/static/images/logos/twitter.svg" width="24" height="24" alt="Twitter logo" loading="lazy" />

Receive the latest news on Material-UI.

[Follow us](https://twitter.com/MaterialUI)

### Supported versions

The Material-UI CE (Community Edition) has been 100% open-source (MIT) since the very beginning, and always will be. Developers can ensure Material-UI is the right choice for their React applications through Material-UI’s community maintenance strategy. The Material-UI team regularly ships new releases, bug fixes, and is very welcoming to community pull requests.

Given the reality of time and resource constraints, as well as the desire to keep innovating, over time it becomes necessary to shift focus to newer versions of the framework ([our release schedule](https://material-ui.com/versions/#release-frequency)), while making the transition to newer versions as smooth as possible, including publishing migration guides such as [this one for v4](/guides/migration-v3/). The open-source community is always welcome to submit new features and bug fixes as well.

The current status of each Material-UI version is as follows:

- Material-UI v4 (hooks): ✅ In active development.
- Material-UI v3 (change supported browsers): ⚠️ Only handle security fixes.
- ~Material-UI v2 (never existed)~.
- Material-UI v1 (rewrite): ❌ Inactive.
- Material-UI v0.x: ❌ Inactive.

For teams and organizations that require additional support for older versions, Material-UI has [options available](#enterprise).

## Professional support (premium)

### Tidelift subscription <img src="/static/images/logos/tidelift.svg" width="24" height="24" alt="Tidelift logo" loading="lazy" />

Material-UI and the maintainers of thousands of other packages are working with Tidelift to deliver one enterprise subscription that covers all of the open-source you use.

If you want the flexibility of open-source and the confidence of commercial-grade software, this is worth looking at.

The Tidelift Subscription manages your dependencies for you:

- Get the tools you need to continuously catalog and understand the open-source software that your application depends on.
- Your subscription helps pay the open-source community maintainers of the packages you use, to ensure they meet the standards you require.
- Address issues proactively, with tools that scan for new security, licensing, and maintenance issues, and alert participating open-source maintainers so they can resolve them on your behalf.
- Tidelift helps measure and improve your open-source dependencies' health – which improves your app's health – and gives a shortlist of high-impact steps your team can take to improve them even more.
- Get commercial assurances that don't come for free with open-source packages, such as intellectual property indemnification and support under a service level agreement. You expect these guarantees from proprietary software, and you can get them when using open-source as well.

The end result? All of the capabilities you expect from commercial-grade software, for the full breadth of open-source you use. That means less time grappling with esoteric open-source trivia, and more time building your own applications – and your business.

[Get more details](https://tidelift.com/subscription/pkg/npm-material-ui?utm_source=material_ui&utm_medium=referral&utm_campaign=enterprise)

[Request a demo](https://tidelift.com/subscription/request-a-demo?utm_source=material_ui&utm_medium=referral&utm_campaign=enterprise)

### Custom work 🛠

Tweak Material-UI to meet specific requirements. Give us a summary of your needs; We'll help you if I can. We might:

- Give you an estimate of time and price if the work is straightforward
- Suggest alternatives that might not require Material-UI
- Decline the work due to timing or relevancy

Note that work must be Material-UI related. We don't accept general React development work. Our contracting price is $200/hour or $1,500/day.

[Send us an email](mailto:custom-work@material-ui.com)